# $Revision: 1.22 $, $Date: 2007-02-13 07:47:11 $
# TODO
# - move progs to sbindir like other mkfs tools
Summary:	HFS volume utils
Summary(pl.UTF-8):	Narzędzia do woluminów HFS
Name:		hfsutils
Version:	3.2.6
Release:	3
License:	GPL
Group:		Applications/System
Source0:	ftp://ftp.mars.org/pub/hfs/%{name}-%{version}.tar.gz
# Source0-md5:	fa572afd6da969e25c1455f728750ec4
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-ac.patch
URL:		http://www.mars.org/home/rob/proj/hfs/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HFS volume utils.

%description -l pl.UTF-8
Narzędzia do woluminów HFS.

%prep
%setup  -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}

cd libhfs
%{__aclocal}
%{__autoconf}
%{__autoheader}
cd ..

cd librsrc
%{__aclocal}
%{__autoconf}
%{__autoheader}
cd ..

%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BLURB CREDITS README CHANGES TODO doc/charset.txt
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: hfsutils.spec,v $
Revision 1.22  2007-02-13 07:47:11  glen
- tabs in preamble

Revision 1.21  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.20  2006/05/24 16:57:37  glen
- add todo (anyone against?)

Revision 1.19  2004/08/18 21:26:58  undefine
- release 3

Revision 1.18  2003/08/18 08:08:10  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.17  2003/05/28 12:59:04  malekith
- massive attack: source-md5

Revision 1.16  2003/05/25 05:48:42  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2003/04/10 17:03:05  speedy
- release 2
- small ac fix.

Revision 1.14  2002/11/25 14:57:38  marcus
- use new %doc

Revision 1.13  2002/10/09 13:14:33  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.12  2002/06/23 20:32:29  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.11  2002/05/21 23:13:33  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.10  2002/04/25 16:33:50  arturs
- fixed a small typo

Revision 1.9  2002/03/12 17:36:05  kloczek
- cosmetics.

Revision 1.8  2002/03/06 05:28:35  marcus
- do not fork shell for regenerate ac/am

Revision 1.7  2002/03/05 21:27:17  marcus
- fixed DESTDIR

Revision 1.6  2002/02/23 02:30:45  kloczek
- adapterized.

Revision 1.5  2002/02/22 23:29:02  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/18 02:13:17  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/10/10 14:21:36  qboosh
- removed some post-template junk, BR: autoconf,automake,libtool

Revision 1.2  2001/10/08 08:10:43  ankry
- Group: Applications/System

Revision 1.1  2001/10/07 13:25:52  hunter
- initial PLD release
- this is needed for accessing HFS volumies(MacOS), and creating bootable
  cds for Macs
